Bug 14821 - Don't show item in checked in list, when it wasn't checked in
Summary: Don't show item in checked in list, when it wasn't checked in
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 14655
Blocks: 15736
  Show dependency treegraph
 
Reported: 2015-09-14 19:40 UTC by Katrin Fischer
Modified: 2017-06-14 22:05 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14821: Do not list not returned items (1.32 KB, patch)
2015-09-15 07:35 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14821: Do not list not returned items (1.48 KB, patch)
2015-10-27 10:43 UTC, Frédéric Demians
Details | Diff | Splinter Review
[PASSED QA] Bug 14821: Do not list not returned items (1.57 KB, patch)
2015-10-30 18:22 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-09-14 19:40:59 UTC
This is what currently happens:

- Unset AnonymousPatron
- Set a patrons history to "never"
- Check in an item from this patron's account
- It should show an error message, but the item will still be listed in the
  list of checked-in items

We should only show an error message or at least a helpful note that the item has not really been returned in the table below.

There might be other cases where this happens - so could be a more general fix is needed.
Comment 1 Jonathan Druart 2015-09-15 07:35:25 UTC Comment hidden (obsolete)
Comment 2 Frédéric Demians 2015-10-27 10:43:02 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2015-10-30 18:22:00 UTC
Created attachment 44247 [details] [review]
[PASSED QA] Bug 14821: Do not list not returned items

On the checkin page, the table is always filled with info of the scanned
barcode, even if the checkin has failed.
When the checkin fails, there is already an error displayed, so there is
no need to keep a row for fails.

Test plan:
Confirm that the failed checkins don't appear anymore in the checkin
table.
- checkin an item which is not issued;
- BlockReturnOfWithdrawnItems is set and item is withdrawn;
- Not returned at the right place;
- privacy=2 and AnonymousPatron not correctly set;

Before this patch this behavior existed only for bad barcode.

Signed-off-by: Frederic Demians <f.demians@tamil.fr>
  I confirm that the checkin table hasn't to be populated with info on items
  which haven't been checked in.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Tomás Cohen Arazi 2015-11-03 17:15:42 UTC
Patch pushed to master.

Thanks Jonathan!
Comment 5 Frédéric Demians 2015-11-29 20:04:07 UTC
This patch has been pushed to 3.20.x, will be in 3.20.6.